Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd.impl
Class TEnableEventListImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.dd.impl.TEnableEventListImpl

All Implemented Interfaces:
  java.io.Serializable, TEnableEventList, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

Direct Known Subclasses:
  TProcessEventsImpl, TScopeEventsImpl

    public class TEnableEventListImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TEnableEventList

An XML tEnableEventList(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.bpel.dd.TEnableEventList
`TEnableEventList.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.dd.TEnableEventList
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TEnableEventListImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`void` | `addEnableEvent(java.lang.String enableEvent)` Appends the value as the last "enable-event" element
`org.apache.xmlbeans.XmlString` | `addNewEnableEvent()` Appends and returns a new empty value (as xml) as the last "enable-event" element
`java.lang.String[]` | `getEnableEventArray()` Gets array of all "enable-event" elements
`java.lang.String` | `getEnableEventArray(int i)` Gets ith "enable-event" element
`java.util.List<java.lang.String>` | `getEnableEventList()` Gets a List of "enable-event" elements
`void` | `insertEnableEvent(int i, java.lang.String enableEvent)` Inserts the value as the ith "enable-event" element
`org.apache.xmlbeans.XmlString` | `insertNewEnableEvent(int i)` Inserts and returns a new empty value (as xml) as the ith "enable-event" element
`void` | `removeEnableEvent(int i)` Removes the ith "enable-event" element
`void` | `setEnableEventArray(int i, java.lang.String enableEvent)` Sets ith "enable-event" element
`void` | `setEnableEventArray(java.lang.String[] enableEventArray)` Sets array of all "enable-event" element
`int` | `sizeOfEnableEventArray()` Returns number of "enable-event" element
`org.apache.xmlbeans.XmlString[]` | `xgetEnableEventArray()` Gets (as xml) array of all "enable-event" elements
`org.apache.xmlbeans.XmlString` | `xgetEnableEventArray(int i)` Gets (as xml) ith "enable-event" element
`java.util.List<org.apache.xmlbeans.XmlString>` | `xgetEnableEventList()` Gets (as xml) a List of "enable-event" elements
`void` | `xsetEnableEventArray(int i, org.apache.xmlbeans.XmlString enableEvent)` Sets (as xml) ith "enable-event" element
`void` | `xsetEnableEventArray(org.apache.xmlbeans.XmlString[] enableEventArray)` Sets (as xml) array of all "enable-event" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TEnableEventListImpl

    public TEnableEventListImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getEnableEventList

    public java.util.List<java.lang.String> getEnableEventList()

  Gets a List of "enable-event" elements

  Specified by:
    `getEnableEventList` in interface `TEnableEventList`

### getEnableEventArray

    public java.lang.String[] getEnableEventArray()

  Gets array of all "enable-event" elements

  Specified by:
    `getEnableEventArray` in interface `TEnableEventList`

### getEnableEventArray

    public java.lang.String getEnableEventArray(int i)

  Gets ith "enable-event" element

  Specified by:
    `getEnableEventArray` in interface `TEnableEventList`

### xgetEnableEventList

    public java.util.List<org.apache.xmlbeans.XmlString> xgetEnableEventList()

  Gets (as xml) a List of "enable-event" elements

  Specified by:
    `xgetEnableEventList` in interface `TEnableEventList`

### xgetEnableEventArray

    public org.apache.xmlbeans.XmlString[] xgetEnableEventArray()

  Gets (as xml) array of all "enable-event" elements

  Specified by:
    `xgetEnableEventArray` in interface `TEnableEventList`

### xgetEnableEventArray

    public org.apache.xmlbeans.XmlString xgetEnableEventArray(int i)

  Gets (as xml) ith "enable-event" element

  Specified by:
    `xgetEnableEventArray` in interface `TEnableEventList`

### sizeOfEnableEventArray

    public int sizeOfEnableEventArray()

  Returns number of "enable-event" element

  Specified by:
    `sizeOfEnableEventArray` in interface `TEnableEventList`

### setEnableEventArray

    public void setEnableEventArray(java.lang.String[] enableEventArray)

  Sets array of all "enable-event" element

  Specified by:
    `setEnableEventArray` in interface `TEnableEventList`

### setEnableEventArray

    public void setEnableEventArray(int i,
                                    java.lang.String enableEvent)

  Sets ith "enable-event" element

  Specified by:
    `setEnableEventArray` in interface `TEnableEventList`

### xsetEnableEventArray

    public void xsetEnableEventArray(org.apache.xmlbeans.XmlString[] enableEventArray)

  Sets (as xml) array of all "enable-event" element

  Specified by:
    `xsetEnableEventArray` in interface `TEnableEventList`

### xsetEnableEventArray

    public void xsetEnableEventArray(int i,
                                     org.apache.xmlbeans.XmlString enableEvent)

  Sets (as xml) ith "enable-event" element

  Specified by:
    `xsetEnableEventArray` in interface `TEnableEventList`

### insertEnableEvent

    public void insertEnableEvent(int i,
                                  java.lang.String enableEvent)

  Inserts the value as the ith "enable-event" element

  Specified by:
    `insertEnableEvent` in interface `TEnableEventList`

### addEnableEvent

    public void addEnableEvent(java.lang.String enableEvent)

  Appends the value as the last "enable-event" element

  Specified by:
    `addEnableEvent` in interface `TEnableEventList`

### insertNewEnableEvent

    public org.apache.xmlbeans.XmlString insertNewEnableEvent(int i)

  Inserts and returns a new empty value (as xml) as the ith "enable-event" element

  Specified by:
    `insertNewEnableEvent` in interface `TEnableEventList`

### addNewEnableEvent

    public org.apache.xmlbeans.XmlString addNewEnableEvent()

  Appends and returns a new empty value (as xml) as the last "enable-event" element

  Specified by:
    `addNewEnableEvent` in interface `TEnableEventList`

### removeEnableEvent

    public void removeEnableEvent(int i)

  Removes the ith "enable-event" element

  Specified by:
    `removeEnableEvent` in interface `TEnableEventList`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD